create table if not exists nfm.m_base_page
(
    internal_id      varchar(50)   not null comment '内部编号',
    page_name        varchar(100)  null comment '标题',
    base_name        varchar(100)  null comment '基地名称',
    logo             varchar(100)  null,
    image            varchar(100)  null comment '图片（单张）',
    images           varchar(1000) null comment '图片（序列）',
    full_size_images varchar(1000) null,
    name_abbr        varchar(100)  null comment '名称缩写',
    region           varchar(100)  null comment '国家地区',
    category         varchar(100)  null comment '分类',
    status           varchar(50)   null comment '状态',
    other_names      varchar(100)  null comment '其他名称',
    dept             varchar(100)  null comment '部门',
    dept_trans       varchar(100)  null comment '部门（译）',
    military_type    varchar(100)  null comment '军种/部门',
    manage_code      varchar(100)  null comment '管理代码',
    alloc_region     varchar(100)  null comment '部署国家/地区',
    port_address     varchar(200)  null comment '邮政地址',
    remarks          varchar(1000) null comment '备注',
    leader_info      mediumtext    null comment '领导信息',
    website_info     mediumtext    null comment '网页资料',
    faa_info         mediumtext    null comment 'FAA信息',
    facility_info    mediumtext    null comment '设施信息',
    unit_info        mediumtext    null comment '入驻单位',
    constraint m_base_page_internal_id_uindex
        unique (internal_id)
);

alter table nfm.m_base_page
    add primary key (internal_id);

create table if not exists nfm.m_person_page
(
    id              varchar(8)   not null comment '人员ID',
    name            varchar(50)  null comment '姓名',
    gender          varchar(5)   null comment '性别',
    birthday        varchar(10)  null comment '出生日期',
    region          varchar(5)   null comment '国家/地区',
    images          varchar(50)  null comment '头像',
    type_or_dept    varchar(20)  null comment '军种/部门',
    category        varchar(20)  null comment '人员类别',
    military_rank   varchar(30)  null comment '军衔',
    occupation      varchar(500) null comment '单位职务',
    specialty       varchar(700) null comment '专长领域',
    contact         varchar(100) null comment '联系方式',
    social_media    varchar(300) null comment '社交媒体账号',
    update_time     varchar(10)  null comment '数据日期',
    introduction    text         null comment '个人简介',
    honors          text         null comment '所获荣誉',
    education       text         null comment '教育背景',
    source          varchar(600) null comment '信息来源',
    career          text         null comment '从业背景',
    keywords        varchar(150) null comment '关键词',
    website         varchar(150) null comment '个人主页',
    achievements    text         null comment '主要成就',
    rank_up         text         null comment '军衔晋升',
    party           varchar(100) null comment '政党',
    remarks         varchar(500) null comment '备注',
    foreigners_info varchar(10)  null comment '外裔情况',
    religion        varchar(10)  null comment '宗教信仰',
    other_contacts  varchar(50)  null comment '其他联系方式',
    address         varchar(100) null comment '个人住址',
    constraint m_person_page_id_uindex
        unique (id)
);

alter table nfm.m_person_page
    add primary key (id);

create table if not exists nfm.m_struct_content
(
    id                 varchar(10)  not null,
    value              varchar(20)  null,
    identifier_parent  varchar(15)  null,
    text               varchar(50)  null,
    title              varchar(150) null,
    logo               varchar(100) null,
    channelid          varchar(5)   null,
    em_text            varchar(10)  null,
    fullpath           varchar(100) null,
    no_icon            varchar(1)   null,
    link               varchar(60)  null,
    nodeclick          varchar(1)   null,
    identifier_related varchar(15)  null,
    showcheck          tinyint(1)   null,
    isexpand           tinyint(1)   null,
    checkstate         int          null,
    hasChildren        tinyint(1)   null,
    title2             varchar(50)  null,
    identifier_station varchar(50)  null,
    webver             varchar(1)   null,
    title_station      varchar(50)  null,
    title_full_station varchar(100) null,
    link_station       varchar(100) null,
    textextend         varchar(1)   null,
    fullpath2          varchar(50)  null,
    icon_code          varchar(20)  null,
    identifier_parent2 varchar(15)  null,
    navtitle           varchar(60)  null,
    navtitle2          varchar(50)  null,
    text_class         varchar(50)  null,
    depth              int          null,
    node_class         varchar(25)  null,
    el_class           varchar(25)  null,
    detail_info        text         null,
    a_class            varchar(10)  null,
    text_color         varchar(3)   null,
    complete           varchar(1)   null
);

create table if not exists nfm.m_struct_page
(
    internal_code      varchar(15)   not null comment '内部编号',
    page_name          varchar(30)   null comment '标题',
    unit_name          varchar(150)  null comment '单位名称',
    region             varchar(10)   null comment '国家/地区',
    logo               varchar(100)  null,
    icon               varchar(100)  null,
    images             varchar(1000) null,
    name_abbr          varchar(20)   null comment '名字缩写',
    nickname           varchar(50)   null comment '绰号',
    other_names        varchar(150)  null comment '其他名称',
    status             varchar(25)   null comment '状态',
    uic                varchar(10)   null comment '单位识别码',
    base_address       varchar(100)  null comment '驻地',
    type_or_dept       varchar(10)   null comment '军种/部门',
    description        varchar(500)  null comment '说明',
    update_time        varchar(10)   null comment '更新日期',
    address            varchar(150)  null comment '地址',
    phone              varchar(50)   null comment '电话',
    twitter            varchar(100)  null comment 'Twitter',
    facebook           varchar(100)  null comment 'Facebook',
    linkedin           varchar(100)  null comment 'LinkedIn',
    email              varchar(100)  null comment '邮箱',
    website            varchar(200)  null comment '网址',
    other_contact_info varchar(100)  null comment '其他联系方式',
    leader_info        text          null comment '领导信息',
    website_info       mediumtext    null comment '网页资料',
    constraint m_struct_page_internal_code_uindex
        unique (internal_code)
);

alter table nfm.m_struct_page
    add primary key (internal_code);

create table if not exists nfm.m_struct_tree
(
    id                 varchar(20)  not null,
    value              varchar(100) null,
    identifier_parent  varchar(100) null,
    text               varchar(100) null,
    title              varchar(100) null,
    isexpand           tinyint(1)   null,
    link               varchar(100) null,
    checkstate         int          null,
    hasChildren        tinyint(1)   null,
    nodeclick          varchar(100) null,
    no_icon            varchar(100) null,
    em_text            varchar(100) null,
    navtitle           varchar(100) null,
    icon_code          varchar(100) null,
    navtitle2          varchar(200) null,
    channelid          varchar(100) null,
    showcheck          tinyint(1)   null,
    depth              int          null,
    identifier_related varchar(100) null,
    fullpath           varchar(100) null,
    complete           varchar(100) null,
    constraint m_struct_tree_id_uindex
        unique (id)
);

alter table nfm.m_struct_tree
    add primary key (id);

